ViennaCL - The Vienna Computing Library: viennacl::linalg::detail::InputData< NumericT > Struct Template Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
viennacl::linalg::detail::InputData< NumericT > Struct Template Reference

In this class the input matrix is stored. More...

`#include <structs.hpp>`

## Public Member Functions
| InputData (std::vector< NumericT > diagonal, std::vector< NumericT > superdiagonal, const unsigned int sz)
| Initialize the input data to the algorithm. More...
| InputData (viennacl::vector< NumericT > diagonal, viennacl::vector< NumericT > superdiagonal, const unsigned int sz)

## Public Attributes
std::vector< NumericT > | std_a
| host side representation of diagonal More...
std::vector< NumericT > | std_b
| host side representation superdiagonal More...
viennacl::vector< NumericT > | g_a
| device side representation of diagonal More...
viennacl::vector< NumericT > | g_b
| device side representation of superdiagonal More...

## Detailed Description

### template<typename NumericT>
struct viennacl::linalg::detail::InputData< NumericT >

In this class the input matrix is stored.

Definition at line 53 of file structs.hpp.

## Constructor & Destructor Documentation

template<typename NumericT>

viennacl::linalg::detail::InputData< NumericT >::InputData | ( | std::vector< NumericT > | diagonal,
|  | std::vector< NumericT > | superdiagonal,
|  | const unsigned int | sz
| ) |  |
| inline

Initialize the input data to the algorithm.

Parameters

  diagonal | vector with the diagonal elements
  superdiagonal | vector with the superdiagonal elements
  sz | size of the matrix

Definition at line 70 of file structs.hpp.

template<typename NumericT>

viennacl::linalg::detail::InputData< NumericT >::InputData | ( | viennacl::vector< NumericT > | diagonal,
|  | viennacl::vector< NumericT > | superdiagonal,
|  | const unsigned int | sz
| ) |  |
| inline

Definition at line 80 of file structs.hpp.

## Member Data Documentation

template<typename NumericT>

viennacl::vector<NumericT> viennacl::linalg::detail::InputData< NumericT >::g_a

device side representation of diagonal

Definition at line 60 of file structs.hpp.

template<typename NumericT>

viennacl::vector<NumericT> viennacl::linalg::detail::InputData< NumericT >::g_b

device side representation of superdiagonal

Definition at line 62 of file structs.hpp.

template<typename NumericT>

std::vector<NumericT> viennacl::linalg::detail::InputData< NumericT >::std_a

host side representation of diagonal

Definition at line 56 of file structs.hpp.

template<typename NumericT>

std::vector<NumericT> viennacl::linalg::detail::InputData< NumericT >::std_b

host side representation superdiagonal

Definition at line 58 of file structs.hpp.

The documentation for this struct was generated from the following file:

- viennacl/linalg/detail/bisect/structs.hpp